Bug 429211 - [X11] Digital clock/whole panel sometimes stops updating until there is user interaction with Plasma
Summary: [X11] Digital clock/whole panel sometimes stops updating until there is user ...
Status: CONFIRMED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Panel (show other bugs)
Version: master
Platform: Archlinux Linux
: HI major
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
: 431446 434756 446935 461688 463381 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-11-16 18:51 UTC by Siddhartha
Modified: 2022-12-24 08:14 UTC (History)
25 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Full KWin info (6.54 KB, text/plain)
2020-11-17 19:37 UTC, Siddhartha
Details
the taskbar (43.63 KB, image/png)
2022-01-26 01:58 UTC, Lyubomir
Details
Can that help? (517.17 KB, video/x-matroska)
2022-02-03 09:08 UTC, Dmitri Koulikoff
Details
journal at the time of taskbar freeze (12.57 KB, text/plain)
2022-11-18 01:02 UTC, pf
Details
All kdeconnect journal entries in previous 2 hours (11.92 KB, text/plain)
2022-11-18 01:17 UTC, pf
Details
journal/konsole messages from kill/start kdeconnect. (610 bytes, text/plain)
2022-11-18 01:19 UTC, pf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Siddhartha 2020-11-16 18:51:21 UTC
SUMMARY
I have a 3 monitor setup with the default Plasma panel on all 3 screens. Frequently, I am noticing that the digital clock on one or two of the 3 screens do not update their times normally.

STEPS TO REPRODUCE
1. Setup default plasma panels on multiple screen, with digital clock visible.
2. Let time advance.

OBSERVED RESULT
Some of the digital clocks fall behind and show old times.

However, the times get updated after I interact with Plasma somehow, either by clicking on the panel to open the system tray or the calender, opening Krunner, minimizing applications, and so on. This indicated that Plasma is not repainting the panel automatically for some reason.

EXPECTED RESULT
All clocks should get updated every minute.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: plasma-desktop-git r7987.20201114.dc704535c
KDE Frameworks Version: 5.77.0 (plasma-framework-git       r15649.20201114.9df6f42c6)
Qt Version: 5.15.1
Kernel Version: 5.9.8-arch1-1

I've marked this as a major issue as incorrect times can lead to real world consequences, for instance being late for meetings.

Likely more information will be needed to debug this unless it's easily reproducible. I am willing to help debug.
Comment 1 Nate Graham 2020-11-17 17:35:34 UTC
Do you happen to be using NVIDIA hardware?
Comment 2 Siddhartha 2020-11-17 19:37:21 UTC
Created attachment 133404 [details]
Full KWin info

No, I have an integrated graphics card. Relevant KWin info snippet:

Compositing
===========
Compositing is active
Compositing Type: OpenGL
OpenGL vendor string: Intel
OpenGL renderer string: Mesa Intel(R) UHD Graphics 620 (KBL GT2)
OpenGL version string: 4.6 (Compatibility Profile) Mesa 20.2.2
OpenGL platform interface: GLX
OpenGL shading language version string: 4.60
Driver: Intel
GPU class: Unknown
OpenGL version: 4.6
GLSL version: 4.60
Mesa version: 20.2.2
X server version: 1.20.9
Linux kernel version: 5.9.8
Direct rendering: Requires strict binding: yes
GLSL shaders:  yes
Texture NPOT support:  yes
Virtual Machine:  no
OpenGL 2 Shaders are used
Painting blocks for vertical retrace:  no
Comment 3 Nate Graham 2020-11-17 19:57:44 UTC
I see, thanks.

Is it just the clock that's stuck, or other applets too?
Comment 4 Siddhartha 2020-11-17 19:59:59 UTC
I've noticed just the clock, as it's the easiest to notice when out of date.

But I suspect it's the entire panel that is freezing. I'll try to notice and post here if slack or other icons show any changes while being stuck.
Comment 5 Nate Graham 2020-11-17 20:00:47 UTC
I suspect so too. Thanks.
Comment 6 David Redondo 2021-01-28 10:06:17 UTC
Panel freezing has been fixed
Comment 7 Nate Graham 2021-12-14 19:39:30 UTC
*** Bug 446935 has been marked as a duplicate of this bug. ***
Comment 8 Nate Graham 2021-12-14 19:41:47 UTC
Looks like not; we just got a report from someone using Plasma 5.23.4. :(
Comment 9 Siddhartha 2021-12-14 19:43:30 UTC
I'm on git master and haven't noticed it again. It's possible the fix just made it rarer.
Comment 10 Sam 2021-12-15 03:12:14 UTC
My issue seems to be fixed by a restart (I made Bug 446935)

I will report back if it occurs again.
Comment 11 Nate Graham 2022-01-21 13:59:16 UTC
*** Bug 434756 has been marked as a duplicate of this bug. ***
Comment 12 Nate Graham 2022-01-23 05:37:51 UTC
*** Bug 448878 has been marked as a duplicate of this bug. ***
Comment 13 Jakub 2022-01-24 10:14:07 UTC
I started to experience a similar issue since a few days ago. The whole taskbar freezes after about an hour after starting the desktop session. No hover effects are displayed, the clock is frozen, opening new applications doesn’t show them in the taskbar and switching workspaces is not reflected on the taskbar. However, I can still click on the taskbar to open the application launcher, switch workspace, open calendar, etc. and it works. But unlike the original report, it does not unfreeze the taskbar, the only solution is to kquitapp5 plasmashell.

SYSTEM INFORMATION:
Operating System: Arch Linux
KDE Plasma Version: 5.23.5
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2
Kernel Version: 5.16.2-arch1-1 (64-bit)
Graphics Platform: Wayland
Comment 14 Lyubomir 2022-01-25 12:12:07 UTC
Yeah i'm also experiencing this bug (my bug was marked as a dupe to this). Initially it was the whole taskbar that was freezing.
KDE 5.23.5 on Arch

Previously the whole taskbar was freezed and not responding. Many apps were like that. It was a combination of many btrfs snapshots and btrfs Quota groups.

However i've disabled this and although PC is much faster, the clock and the "opened apps list" in the taskbar still freeze. But the differemce is they now respond to mouse overs. tootlips/images in them show on hover over an app in this list and clock in the clock popup near the calendar and time zones list is accurate. Only clock in the taskbar is not.
Comment 15 Lyubomir 2022-01-26 01:58:32 UTC
Created attachment 145944 [details]
the taskbar

To make it clearer/more concise, on freeze everything that's visible in this screenshot does not update, everything that's visible in this screenshot reacts to clicks (i.e. starts the program, shows tooltips, shows context menus). Everything that shows in reaction to these clicks works itself correctly. But even if a program opens and works correctly, or if a tray popup menu opens, the area in the screenshot stays exactly the same. No blue line above the tray icon, no changes to the list of apps.
The variety icon that usually shows the current wallpaper doesn't update the wallpaper in the icon if i change the real wallpaper. Even on restart of variety the icon is not removed and stays there.
Comment 16 Viorel-Cătălin Răpițeanu 2022-01-26 02:02:59 UTC
I've also stumbled on this with the latest build compiled on 25.01.22. 
Restarting the shell 'fixes' this issue: kquitapp5 plasmashell && kstart5 plasmashell
Comment 17 torokati44 2022-01-27 20:28:39 UTC
I also started experiencing this recently, on Fedora 35, KDE Plasma 5.23.4, Frameworks 5.89.0, Qt 5.15.2, on Wayland - on at least two different (but similar software-wise) systems.
Comment 18 Nate Graham 2022-01-28 16:12:20 UTC
*** Bug 449021 has been marked as a duplicate of this bug. ***
Comment 19 Isaac Milarsky 2022-01-28 16:34:32 UTC
(In reply to Nate Graham from comment #18)
> *** Bug 449021 has been marked as a duplicate of this bug. ***

For whatever reason, my version of this bug doesn't react to right clicking and the only workaround is to restart plasma. Right click menus work but otherwise all of the panel widgets are frozen and don't react to left clicks except for the Application Menu.
Comment 20 Nate Graham 2022-01-28 21:06:10 UTC
*** Bug 449163 has been marked as a duplicate of this bug. ***
Comment 21 Nate Graham 2022-01-28 21:06:14 UTC
*** Bug 449202 has been marked as a duplicate of this bug. ***
Comment 22 Nate Graham 2022-01-28 21:06:18 UTC
*** Bug 448844 has been marked as a duplicate of this bug. ***
Comment 23 Antonio Rojas 2022-01-29 18:32:30 UTC
*** Bug 449323 has been marked as a duplicate of this bug. ***
Comment 24 Wyatt Childers 2022-02-01 03:50:31 UTC
This started happening for me, or at least something close to one of the duplicate bugs within the last week or so. Everything was fine, and now it's regularly breaking. Nothing fixes the problem other than restarting the session (i.e., user interaction with plasma is not sufficient to get the clock or notification area to start updating again).

https://bugzilla.redhat.com/show_bug.cgi?id=2048151
Comment 25 Wyatt Childers 2022-02-01 04:59:17 UTC
(In reply to Wyatt Childers from comment #24)
> This started happening for me, or at least something close to one of the
> duplicate bugs within the last week or so. Everything was fine, and now it's
> regularly breaking. Nothing fixes the problem other than restarting the
> session (i.e., user interaction with plasma is not sufficient to get the
> clock or notification area to start updating again).
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=2048151

I should add explicitly here, this affects Latte dock as well, this isn't exclusive to plasmashell.
Comment 26 Wyatt Childers 2022-02-01 05:02:35 UTC
> I should add explicitly here, this affects Latte dock as well, this isn't
> exclusive to plasmashell.

Also it seems putting the computer to sleep then coming back seems to bring latte dock at least back into a functional state. I'm not sure what the implications of that are for debugging this.
Comment 27 Prajna Sariputra 2022-02-01 05:18:51 UTC
(In reply to Wyatt Childers from comment #24)
> This started happening for me, or at least something close to one of the
> duplicate bugs within the last week or so. Everything was fine, and now it's
> regularly breaking. Nothing fixes the problem other than restarting the
> session (i.e., user interaction with plasma is not sufficient to get the
> clock or notification area to start updating again).
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=2048151

Was there by any chance an update to qt5-qtwayland that you installed before the issue occurred for you? That was what triggered the problem for me on Arch, and downgrading that package fixed it in my case, so that might be worth a try. For Arch the problematic package is `qt5-wayland 5.15.2+kde+r44-1` and newer, looking through the sources the Fedora 35 equivalent to that is `qt5-qtwayland 5.15.2-17.fc35`.
Comment 28 Wyatt Childers 2022-02-01 16:21:12 UTC
(In reply to Prajna Sariputra from comment #27)
> (In reply to Wyatt Childers from comment #24)
> > This started happening for me, or at least something close to one of the
> > duplicate bugs within the last week or so. Everything was fine, and now it's
> > regularly breaking. Nothing fixes the problem other than restarting the
> > session (i.e., user interaction with plasma is not sufficient to get the
> > clock or notification area to start updating again).
> > 
> > https://bugzilla.redhat.com/show_bug.cgi?id=2048151
> 
> Was there by any chance an update to qt5-qtwayland that you installed before
> the issue occurred for you? That was what triggered the problem for me on
> Arch, and downgrading that package fixed it in my case, so that might be
> worth a try. For Arch the problematic package is `qt5-wayland
> 5.15.2+kde+r44-1` and newer, looking through the sources the Fedora 35
> equivalent to that is `qt5-qtwayland 5.15.2-17.fc35`.

On the 23rd (which roughly lines up):
    Upgrade  qt5-qtwayland-5.15.2-17.fc35.x86_64                 @updates
    Upgraded qt5-qtwayland-5.15.2-15.fc35.x86_64                 @@System

There isn't even a version bump there though, so that seems unlikely. I don't really have a way to rollback/downgrade (I'm not aware of any source for the old package). That said, it looks like they did "pull fixes" which maybe weren't fixes:

https://src.fedoraproject.org/rpms/qt5-qtwayland/commits/f35

Namely:
- Build 16 (https://src.fedoraproject.org/rpms/qt5-qtwayland/c/7500ad163e15e45219177b30dc1523aff14803eb?branch=f35)
- Build 17 (https://src.fedoraproject.org/rpms/qt5-qtwayland/c/770c4ae5bb6d2bb7d2e4659d0fa1c822a005fe8e?branch=f35)

It looks like there's a build 18 in the works to try to fix the issue (https://src.fedoraproject.org/rpms/qt5-qtwayland/c/d87aaf116e415d92178345ef5f84b2bc98e5ddd7?branch=f35).
Comment 29 Dmitri Koulikoff 2022-02-03 09:08:14 UTC
Created attachment 146212 [details]
Can that help?

Sometimes reading the news in Akregator, I see the broken rendering in the window, that can be fixed by returning back to the previous message and than again fort.
Comment 30 Lyubomir 2022-02-03 10:14:56 UTC
(In reply to Dmitri Koulikoff from comment #29)
> Created attachment 146212 [details]
> Can that help?
> 
> Sometimes reading the news in Akregator, I see the broken rendering in the
> window, that can be fixed by returning back to the previous message and than
> again fort.

Is this relevant to this bug? Probably you posted in the wrong one?
Comment 31 Dmitri Koulikoff 2022-02-03 12:20:45 UTC
(In reply to Lyubomir from comment #30)
> Is this relevant to this bug? Probably you posted in the wrong one?

Of course, I am not sure. But suspect, that both effects can be connected ;-)
Comment 32 Fabian Vogt 2022-02-03 17:06:19 UTC
This bug is originally about X11, so unrelated to the qtwayland change.

Can we move all that to bug 449163 again?
Comment 33 Nate Graham 2022-02-03 17:20:19 UTC
Sure.
Comment 34 David Chmelik 2022-02-11 06:18:18 UTC
It's NOT originally a Wayland bug but has been happening since KDE Plasma 4 started, and into Plasma 5.  The panel used to stay frozen for as long as a half-hour or hour until I maybe killed plasmashell or KDE.  Sometimes it worked to restart/fork plasmashell in a screen session in a xterm.  Now it might still sort of work except your minimized system tray programs won't reappear there, only on taskbar (and some in background, have to kill them) which will no longer be in the order you moved programs to.
          This bug for the last 10 or 12+ years is why I initially switched back to KDE3.5 for a few major versions of Slackware until KDE3.5  stopped working, then tried to switch to TDE KDE3.5 fork and simpler (less power-hungry, even though I don't use many effects) desktop environments and still will try to switch.  I still love KDE and will report bugs, but I haven't seen the panel freeze bug ever stop.  Sometimes at the same time, some/most/all other things stop responding too.
        People suggested turn off indexing, which I did, which didn't improve situation.  If I leave KDE on for days the panel is probably bound to stop responding.  One thing that did seem to exacerbate it is if I start 10 or 15+ GUI programs immediately on starting KDE, which sometimes permanently slowed it down.  If I start one program then another after a minute or two or after disc activity died down (though my OS is on SSD, /home is on HDD) and continue in that fashion, usually it doesn't slow down.  The thing is, even if I start 15+ programs at once, it might just be 10% CPU resources of my 32 threads is even being used, so the parallel processing might need to improve (unless that situation is only a HDD access problem.)
        Hardware was asked about, and when this happened I'm using up to AMD Radeon 6900 XT.
Comment 35 Nate Graham 2022-08-25 15:45:20 UTC
Is anyone experiencing this bug using an Intel or NVIDIA GPU? Or just an AMD GPU?
Comment 36 sombragris 2022-08-25 16:50:55 UTC
Nate, I reported one of the bugs marked as duplicate of this. Right now I'm not experiencing this, but when I did, I was using (and still am) an Intel UHD 630 onboard GPU under Wayland.
Comment 37 Kai Uwe Broulik 2022-08-31 13:01:10 UTC
I am experiencing this on my Intel UHD 620 graphics with i915 driver on X11.
Comment 38 network723 2022-10-16 19:42:55 UTC
Regarding wayland session: it is not just clock stops updating, it's plasma freezing a whole. Hotkey volume control does not work as well until you hover mouse over a plasma panel. And more: a qt5-based amarok stops switching tracks when it's minimized!
Comment 39 Nate Graham 2022-11-14 22:01:24 UTC
*** Bug 461688 has been marked as a duplicate of this bug. ***
Comment 40 pf 2022-11-14 23:33:19 UTC
My bug just got linked to this one.  In my case, this issue started only after serious flickering issues suddenly disappeared; somewhere around where kernel 6.0 showed up.  All was great, until this freeze started. See https://bugs.mageia.org/show_bug.cgi?id=31080 and Bug 461688 for my observations.  In a nutshell, when the panel froze, it only ever recovered once.  While frozen, there are zero responses to mouse events. The new clue for me was that KDEconnect might have been the trigger on last night's freeze.  The amount of system activity does not seem to matter: very heavy or very light activity.  I think one occurred while the system was idling while I was sleeping; another reason I'm watching KDEconnect -- my dogs going in/out their doggy door causes security system alerts to my phone, then via KDEconnect to the desktop where the notification window (outline only) appeared when the panel froze...  More info at above links. HTH
Comment 41 pf 2022-11-18 01:02:28 UTC
Created attachment 153849 [details]
journal at the time of taskbar freeze

My panel just froze again.  This time I was in the kitchen feeding my dogs; no jobs running, just lots of open windows on 10 desktops.  The dogs triggered a security notification to my phone, and that got copied via kdeconnect to my system.  Once again, the kdeconnect rectangle appeared -- actually, just the area was reserved with the underlying application windows (konsole and emacs) still visible through the rectangle.  In this situation, I can only switch desktops  by using firefox' "switch to tab" feature.  What I didn't notice previously: kdeconnect's reserved rectangle (notification) is present on the other desktops and above all windows.
No point posting a screen shot of a 100% transparent rectangle; no decorations.  Being transparent, it's possible I didn't notice these during earlier freezes.
Comment 42 pf 2022-11-18 01:17:37 UTC
Created attachment 153850 [details]
All kdeconnect journal entries in previous 2 hours

Once the freeze occured, no more kdeconnect log entries.
$ ps aux | grep kdeconnect
pfortin    15410  0.0  0.0 819652 80504 ?        SLsl Nov14   1:42 /usr/libexec/kdeconnectd

Let's see what happens if I kill this process...  It's gone; but the panel is still frozen -- only one message in journal.

Restarted; only got messages on konsole; none in journal.
Comment 43 pf 2022-11-18 01:19:41 UTC
Created attachment 153851 [details]
journal/konsole messages from kill/start kdeconnect.

Panel still frozen. Not much else to gather; now to save my work before restarting desktop...
Comment 44 sombragris 2022-11-18 01:25:04 UTC
To restart the desktop shell there's no need to restart the session. If you can get a terminal or a command line, just type:

$ plasmashell --replace
Comment 45 pf 2022-11-18 02:15:27 UTC
Thank you...  I will remember that; but alas, it doesn't work on this freeze. If there are other things to try, i can hang in for a bit longer...

$ plasmashell --replace
kf.plasma.quick: Applet preload policy set to 1
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:238: TypeError: Cannot read property 'visible' of null
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:237: TypeError: Cannot read property 'text' of null
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:238: TypeError: Cannot read property 'visible' of null
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:237: TypeError: Cannot read property 'text' of null
kf.dbusaddons: Couldn't register name 'org.kde.plasmashell' with DBUS - another process owns it already!

$ ps aux | grep plasma
root       14859  0.0  0.0  69552 17172 ?        S    Nov14   0:00 /usr/libexec/sddm-helper --socket /tmp/sddm-auth4244baf0-4669-4012-88be-78563f690897 --id 1 --start /usr/bin/startplasma-x11 --user pfortin
pfortin    14876  0.0  0.0 413064 47420 ?        Sl   Nov14   0:00 /usr/bin/startplasma-x11
pfortin    15283  0.4  0.3 5812872 476072 ?      SLsl Nov14  24:26 /usr/bin/plasmashell --no-respawn
Comment 46 pf 2022-11-18 03:39:38 UTC
I should have read more carefully... 
1. Killed original -- panel still on screen
2. manually started with: /usr/libexec/kdeconnectd &
3. plasmashell --replace -- failed
4. killed process started in 2 -- panel disappeared
5. plasmashell --replace -- back!!  Thanks!!!!!
Comment 47 Oswald Buddenhagen 2022-11-22 21:28:41 UTC
*** Bug 431446 has been marked as a duplicate of this bug. ***
Comment 48 pf 2022-11-26 18:08:16 UTC
(In reply to sombragris from comment #44)
> To restart the desktop shell there's no need to restart the session. If you
> can get a terminal or a command line, just type:
> 
> $ plasmashell --replace

Got another one while I was on the phone...
$ plasmashell --replace
kf.plasma.quick: Applet preload policy set to 1
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:238: TypeError: Cannot read property 'visible' of null
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:237: TypeError: Cannot read property 'text' of null
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:238: TypeError: Cannot read property 'visible' of null
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:237: TypeError: Cannot read property 'text' of null
# doesn't help and doesn't return, so...
^C

journalctl shows nothing this time....  
Nov 26 10:40:15 pf.pfortin.com systemd[1]: Removed slice user-0.slice.
Nov 26 10:40:15 pf.pfortin.com systemd[1]: user-0.slice: Consumed 3.383s CPU time.
## Clock stopped at 10:42:35
Nov 26 10:45:00 pf.pfortin.com apcupsd[13928]: Communications with UPS lost.
Nov 26 10:45:01 pf.pfortin.com systemd[1]: Created slice user-971.slice.

and 'plasmashell --replace'  doesn't do anything, nor generate any journal entries.

Tried 'plasmashell --replace' several times to no avail.

Sent sigterm to plasmashell which removed the panel, and re-issued:
 $ plasmashell --replace
kf.plasma.quick: Applet preload policy set to 1
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
## panel does not restore.
^C
$ ps aux | grep plasma
root       15025  0.0  0.0  69552 17260 ?        S    Nov23   0:00 /usr/libexec/sddm-helper --socket /tmp/sddm-auth730642a9-4a76-4e3a-82bd-dcb982598340 --id 1 --start /usr/bin/startplasma-x11 --user pfortin
pfortin    15042  0.0  0.0 426664 61904 ?        Sl   Nov23   0:00 /usr/bin/startplasma-x11

Re-starting   ;p
Comment 49 pf 2022-11-28 01:28:32 UTC
This was strange...  lost the plasmashell; reboots didn't help.  Finally, after one reboot, I logged in via an alternate userid (which I also did when plasmashell would initially not start).  However, this time, when I logged out and back in to my main userid, plasmashell came up as if nothing had happened...  That's a good thing; but self-healing is usually not permanent...  ;p  Sorry; but I wasn't able to gather any useful info.
Comment 50 pf 2022-11-30 15:00:07 UTC
Panel froze; clock stopped at 09:23:35 with black rectangle where kdeconnect places notifications.

# journalctl -S "2022-11-30 09:15"  # this is everything around that time (nothing redacted):
Nov 30 09:23:21 pf.pfortin.com apcupsd[36578]: Communications with UPS lost.
Nov 30 09:23:36 pf.pfortin.com plasmashell[218066]: Could not find the Plasmoid for Plasma::FrameSvgItem(0x416a0f0) QQmlContext(0x21e41c0) QUrl("file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/gl>
Nov 30 09:23:36 pf.pfortin.com plasmashell[218066]: Could not find the Plasmoid for Plasma::FrameSvgItem(0x416a0f0) QQmlContext(0x21e41c0) QUrl("file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/gl>
Nov 30 09:23:36 pf.pfortin.com plasmashell[218066]: file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationItem.qml:221:21: QML SelectableLabel: Binding loop detected for property "implicitW>
Nov 30 09:23:36 pf.pfortin.com plasmashell[218066]: file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationItem.qml:221:21: QML SelectableLabel: Binding loop detected for property "implicitW>
Nov 30 09:23:36 pf.pfortin.com plasmashell[218066]: file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationItem.qml:221:21: QML SelectableLabel: Binding loop detected for property "implicitH>
Nov 30 09:23:36 pf.pfortin.com plasmashell[218066]: file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationItem.qml:221:21: QML SelectableLabel: Binding loop detected for property "implicitW>
Nov 30 09:24:00 pf.pfortin.com sensord[3008]: Chip: dell_smm-isa-0000

# Entire konsole interaction to restore panel...
$ plasmashell --replace
kf.plasma.quick: Applet preload policy set to 1
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:238: TypeError: Cannot read property 'visible' of null
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:237: TypeError: Cannot read property 'text' of null
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:238: TypeError: Cannot read property 'visible' of null
file:///usr/share/plasma/packages/org.kde.desktoptoolbox/contents/ui/ToolBoxContent.qml:237: TypeError: Cannot read property 'text' of null
kf.dbusaddons: Couldn't register name 'org.kde.plasmashell' with DBUS - another process owns it already!
pfortin@pf   Wed Nov 30 09:24:53
~
$ ps aux | grep plasmashell
pfortin   218066  0.5  0.2 5801924 357608 ?      SLsl Nov27  21:45 /usr/bin/plasmashell --no-respawn
pfortin  3890352  0.0  0.0   9908  2436 pts/1    S+   09:25   0:00 grep --color plasmashell
pfortin@pf   Wed Nov 30 09:25:41
~
$ kill 218066
pfortin@pf   Wed Nov 30 09:25:57
~
$ plasmashell --replace
kf.plasma.quick: Applet preload policy set to 1
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
file:///usr/share/plasma/plasmoids/org.kde.plasma.digitalclock/contents/ui/DigitalClock.qml:534:9: QML Label: Binding loop detected for property "height"
file:///usr/share/plasma/plasmoids/org.kde.plasma.digitalclock/contents/ui/DigitalClock.qml:499:13: QML Label: Binding loop detected for property "height"
org.kde.plasma.kicker: Entry is not valid "kontact.desktop" QSharedPointer(0x2854e90)
org.kde.plasma.kicker: Entry is not valid "ktp-contactlist.desktop" QSharedPointer(0x22cdda0)
org.kde.plasma.kicker: Entry is not valid "org.kde.kate.desktop" QSharedPointer(0x22cddf0)
org.kde.plasma.kicker: Entry is not valid "org.kde.discover" QSharedPointer(0x2855240)
org.kde.plasma.kicker: Entry is not valid "kontact.desktop" QSharedPointer(0x271f4f0)
org.kde.plasma.kicker: Entry is not valid "ktp-contactlist.desktop" QSharedPointer(0x2855240)
org.kde.plasma.kicker: Entry is not valid "org.kde.kate.desktop" QSharedPointer(0x27ac4f0)
org.kde.plasma.kicker: Entry is not valid "org.kde.discover" QSharedPointer(0x27741e0)
Cyclic dependency detected between "file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/global/Globals.qml" and "file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/ThumbnailStrip.qml"
Cyclic dependency detected between "file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/global/Globals.qml" and "file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationHeader.qml"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/workspace/calendar/MonthView.qml:381: TypeError: Cannot read property 'cellHeight' of null
qml: PlasmaExtras.ScrollArea is deprecated. Use PlasmaComponents3.ScrollView instead.
QFont::setPointSizeF: Point size <= 0 (0.000000), must be greater than 0
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/ExpandableListItem.qml:291: TypeError: Cannot read property 'enabled' of null
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/ExpandableListItem.qml:291: TypeError: Cannot read property 'enabled' of null
file:///usr/share/plasma/plasmoids/org.kde.plasma.devicenotifier/contents/ui/DeviceItem.qml:206:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.bluetooth/contents/ui/DeviceItem.qml:33:32: QML Action: Accessible must be attached to an Item
file:///usr/share/plasma/plasmoids/org.kde.plasma.bluetooth/contents/ui/DeviceItem.qml:33:32: QML Action: Accessible must be attached to an Item
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"
file:///usr/share/plasma/plasmoids/org.kde.plasma.printmanager/contents/ui/PrinterItem.qml:23:32: QML Action: Accessible must be attached to an Item
file:///usr/lib64/qt5/qml/org/kde/plasma/extras/PlaceholderMessage.qml:238:5: QML Heading: Binding loop detected for property "verticalAlignment"

^Z
[1]+  Stopped                 plasmashell --replace
pfortin@pf   Wed Nov 30 09:26:41
~
$ bg
[1]+ plasmashell --replace &
pfortin@pf   Wed Nov 30 09:26:42
~
$ trying to show an empty dialog        <=== this was output; not me commenting.
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
file:///usr/lib64/qt5/qml/org/kde/plasma/core/private/DefaultToolTip.qml:69:13: QML Label: Binding loop detected for property "verticalAlignment"
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
Could not find the Plasmoid for Plasma::FrameSvgItem(0x68c6bf0) QQmlContext(0x3039430) QUrl("file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/global/Globals.qml")
Could not find the Plasmoid for Plasma::FrameSvgItem(0x68c6bf0) QQmlContext(0x3039430) QUrl("file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/global/Globals.qml")
file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationItem.qml:221:21: QML SelectableLabel: Binding loop detected for property "implicitWidth"
file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationItem.qml:221:21: QML SelectableLabel: Binding loop detected for property "implicitWidth"
file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationItem.qml:221:21: QML SelectableLabel: Binding loop detected for property "implicitHeight"
file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationItem.qml:221:21: QML SelectableLabel: Binding loop detected for property "implicitWidth"
$ 

Panel is restored; then got these messages moving mouse over panel...

QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
QObject::startTimer: Timers cannot have negative intervals
...


Likely non-issues; but for completeness: these startTimer messages are triggered by moving mouse:
* between 2 instances of claws-mail systray icons (self-corrects after very short interval under ~2 minutes)
* randomly when moving mouse (no clicks) over panel 'desktops' -- one message per boundary crossing
* randomly when moving mouse over systray icons (not certain; but appears to be only right to left direction)

Operating System: Mageia 9
KDE Plasma Version: 5.26.3
KDE Frameworks Version: 5.100.0
Qt Version: 5.15.6
Kernel Version: 6.0.10-server-1.mga9 (64-bit)
Graphics Platform: X11
Processors: 20 × 12th Gen Intel® Core™ i7-12700K
Memory: 125.5 GiB of RAM
Graphics Processor: AMD Radeon RX 6600 XT
Manufacturer: Dell Inc.
Product Name: XPS 8950
Comment 51 Loïc Droz 2022-12-21 18:58:57 UTC
Hi, this has started happening to me after updating to plasma 5.26, on the Wayland session.

I have noticed this seems to only happen when a notification is displayed. It does not happen every time a notification is displayed, however.
Comment 52 Fabian Vogt 2022-12-21 19:08:50 UTC
If it's in any way triggered by notifications it's not this bug but a bug in Mesa: https://gitlab.freedesktop.org/mesa/mesa/-/issues/7624
Comment 53 lilprincess 2022-12-24 08:14:25 UTC
*** Bug 463381 has been marked as a duplicate of this bug. ***